Subject: Re: [bug#34480] [PATCH 0/2] Ensure Guix always has 'glibc-utf8-locales'

From: Leo Famulari <[email-masked]>
Date: Fri, 15 Feb 2019 11:25:33 -0500

On Thu, Feb 14, 2019 at 11:17:15PM +0100, Ludovic Courtès wrote:
> Hello Guix,
> 
> After hearing about so many bad first impressions due to missing locales,
> I decided to bite the bullet.  I still don’t consider the approach
> really satisfying, in particular due to the arbitrary locale selection
> in ‘glibc-utf8-locales’, but the benefits are worth it IMO (I feel like
> I’ve been too obtuse on this topic, and I’m sorry about that!).

Okay, I think it's the right thing to do. We are constantly having to
explain the locales warning on IRC.

> The closure size of the ‘guix’ package increases like this:
> 
> --8<---------------cut here---------------start------------->8---
> $ guix size guix | tail -1
> total: 354.2 MiB
> $ guix size guix glibc-utf8-locales | tail -1
> total: 368.0 MiB
> --8<---------------cut here---------------end--------------->8---
> 
> That’s a 4% increase, not that bad.

It's worth it.